Fedora 16 : puppet-2.6.12-1.fc16 (2011-14880)

High Nessus Plugin ID 56888


The remote Fedora host is missing a security update.


A bug in puppet's SSL certificate handling could allow nodes with a valid certificate to impersonate the puppet master. To be vulnerable, a user would have had to set the certdnsnames variable and generated certificates. This setting is not set by default in the Fedora/EPEL packages.

This update closes the vulnerability in newly generated certificates, but cannot prevent existing certificates from being used to exploit the vulnerability. Please refer to the upstream documentation for more details on mitigation and remediation of this issue, if you have generate certificates that are vulnerable to this issue :


Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected puppet package.

See Also



Plugin Details

Severity: High

ID: 56888

File Name: fedora_2011-14880.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2011/11/22

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:puppet, cpe:/o:fedoraproject:fedora:16

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2011/10/25

Reference Information

FEDORA: 2011-14880